# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit font

DESCRIPTION="A bitmap programming font optimized for coziness."
HOMEPAGE="https://github.com/slavfox/Cozette"
SRC_URI="https://github.com/slavfox/Cozette/releases/download/v.${PV}/CozetteFonts.zip -> ${P}.zip"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~ia64 ppc ppc64 sparc x86 arm64"
IUSE="+scaled"

BDEPEND="
	scaled? ( x11-apps/bdfresize )
"

S="${WORKDIR}/CozetteFonts"

src_compile () {
	if use scaled; then
		bdfresize -f 2 < cozette.bdf > cozette-scale2.bdf
	fi
	
	default
}

FONT_S="${S}"
FONT_SUFFIX="bdf"
